| Home | Libraries | People | FAQ | More

## Struct template result

boost::proto::expr::result

## Synopsis

    // In header: <boost/proto/expr.hpp>

    template<typename Signature>
    struct result {
      // types
      typedef unspecified type;
    };

## Description

Encodes the return type of `proto::expr<>::operator()`. Makes `proto::expr<>` a TR1-style function object type usable with `boost::result_of<>`